Opcache installed but disabled | Litespeed

cool_recep

Well-Known Member
Apr 10, 2013
59
7
58
cPanel Access Level
Website Owner
I'm using Litespeed 5.4.x with PHP 7.4. I installed Opcache via EA4 but it does not seem to be enabled.

1599515734901.png

It is enabled in opcache.ini. But there is a '--disable-opcache' code in Configure Command. How can I enable it?

I tried adding this code to php.ini but could not save. The icon went kaput, intto an endless cricle loop.

Code:
[opcache]
; Determines if Zend OPCache is enabled
opcache.enable=1
Thanks.
 
Last edited:

ffeingol

Well-Known Member
PartnerNOC
Nov 9, 2001
422
96
328
cPanel Access Level
DataCenter Provider
When you make a change like that in EA, make sure you 'restart deteacted PHP processes' in WHM or they may not 'see them':

  • Log into WHM
  • Choose LiteSpeed Web Server
  • Click "Restart Detatched PHP Processes"
I can't say for sure that's the issue, but that's bit us one or twice when we forgot to do it.
 

cool_recep

Well-Known Member
Apr 10, 2013
59
7
58
cPanel Access Level
Website Owner
Already did that but still disabled.

OK, I even added this code manually but Opcache is still disabled!

Code:
[opcache]
; Determines if Zend OPCache is enabled
opcache.enable=1
 
Last edited:

cPanelLauren

Product Owner
Staff member
Nov 14, 2017
13,304
1,252
313
Houston

cool_recep

Well-Known Member
Apr 10, 2013
59
7
58
cPanel Access Level
Website Owner
As far as I know, it is deafult. No manual ini was specified. Some more info:


PHP Version 7.4.9

SystemLinux server.technopat.net 3.10.0-1127.19.1.el7.x86_64 #1 SMP Tue Aug 25 17:23:54 UTC 2020 x86_64
Build DateAug 25 2020 20:07:49
Configure Command'./configure' '--build=x86_64-redhat-linux-gnu' '--host=x86_64-redhat-linux-gnu' '--program-prefix=' '--disable-dependency-tracking' '--prefix=/opt/cpanel/ea-php74/root/usr' '--exec-prefix=/opt/cpanel/ea-php74/root/usr' '--bindir=/opt/cpanel/ea-php74/root/usr/bin' '--sbindir=/opt/cpanel/ea-php74/root/usr/sbin' '--sysconfdir=/opt/cpanel/ea-php74/root/etc' '--datadir=/opt/cpanel/ea-php74/root/usr/share' '--includedir=/opt/cpanel/ea-php74/root/usr/include' '--libdir=/opt/cpanel/ea-php74/root/usr/lib64' '--libexecdir=/opt/cpanel/ea-php74/root/usr/libexec' '--localstatedir=/opt/cpanel/ea-php74/root/var' '--sharedstatedir=/opt/cpanel/ea-php74/root/var/lib' '--mandir=/opt/cpanel/ea-php74/root/usr/share/man' '--infodir=/opt/cpanel/ea-php74/root/usr/share/info' '--cache-file=../config.cache' '--with-libdir=lib64' '--with-config-file-path=/opt/cpanel/ea-php74/root/etc' '--with-config-file-scan-dir=/opt/cpanel/ea-php74/root/etc/php.d' '--disable-debug' '--with-password-argon2=/opt/cpanel/libargon2' '--with-pic' '--without-pear' '--with-bz2' '--with-freetype' '--with-xpm' '--without-gdbm' '--with-gettext' '--with-iconv' '--with-jpeg' '--with-openssl' '--with-zlib' '--with-layout=GNU' '--enable-exif' '--enable-ftp' '--enable-sockets' '--with-kerberos' '--enable-shmop' '--with-libxml' '--with-system-tzdata' '--with-mhash' '--with-apxs2=/usr/bin/apxs' '--libdir=/opt/cpanel/ea-php74/root/usr/lib64/php' '--enable-litespeed' '--without-mysqli' '--disable-pdo' '--disable-gd' '--disable-dom' '--disable-dba' '--without-unixODBC' '--disable-opcache' '--disable-xmlreader' '--disable-xmlwriter' '--without-sqlite3' '--disable-phar' '--disable-fileinfo' '--disable-json' '--without-pspell' '--without-curl' '--disable-posix' '--disable-xml' '--disable-simplexml' '--disable-exif' '--without-gettext' '--without-iconv' '--disable-ftp' '--without-bz2' '--disable-ctype' '--disable-shmop' '--disable-sockets' '--disable-tokenizer' '--disable-sysvmsg' '--disable-sysvshm' '--disable-sysvsem' '--without-gmp' '--disable-calendar' 'build_alias=x86_64-redhat-linux-gnu' 'host_alias=x86_64-redhat-linux-gnu' 'PKG_CONFIG_PATH=/opt/cpanel/ea-php74/root/usr/lib64/pkgconfig:/opt/cpanel/ea-php74/root/usr/share/pkgconfig:/usr/lib64/pkgconfig:/opt/cpanel/ea-openssl11/lib64/pkgconfig:/opt/cpanel/ea-libxml2/lib64/pkgconfig:/opt/cpanel/ea-libicu/lib/pkgconfig:/opt/cpanel/ea-oniguruma/lib64/pkgconfig' 'CFLAGS=-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 -mtune=generic -fno-strict-aliasing -Wno-pointer-sign' 'KERBEROS_CFLAGS=-I/usr/include' 'KERBEROS_LIBS=-L/usr/lib64' 'OPENSSL_CFLAGS=-I/opt/cpanel/ea-openssl11/include' 'OPENSSL_LIBS=-L/opt/cpanel/ea-openssl11/lib -lssl -lcrypto -lresolv' 'CURL_CFLAGS=-I/opt/cpanel/libcurl/include' 'CURL_LIBS=-L/opt/cpanel/libcurl/lib64 -lcurl' 'JPEG_CFLAGS=-I/usr/include' 'JPEG_LIBS=-L/usr/lib64 -ljpeg' 'CXXFLAGS=-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 -mtune=generic' 'SASL_CFLAGS=-I/usr/include' 'SASL_LIBS=-L/usr/lib64' 'XSL_CFLAGS=-I/opt/cpanel/ea-libxml2/include/libxml2' 'XSL_LIBS=-L/opt/cpanel/ea-libxml2/lib64 -lxml2' 'LIBZIP_CFLAGS=-I/opt/cpanel/ea-libzip/include' 'LIBZIP_LIBS=-L/opt/cpanel/ea-libzip/lib64 -lzip'
Server APILiteSpeed V7.7
Virtual Directory Supportdisabled
Configuration File (php.ini) Path/opt/cpanel/ea-php74/root/etc
Loaded Configuration File/opt/cpanel/ea-php74/root/etc/php.ini
Scan this dir for additional .ini files/opt/cpanel/ea-php74/root/etc/php.d
Additional .ini files parsed/opt/cpanel/ea-php74/root/etc/php.d/01-ioncube.ini, /opt/cpanel/ea-php74/root/etc/php.d/10-opcache.ini, /opt/cpanel/ea-php74/root/etc/php.d/20-bcmath.ini, /opt/cpanel/ea-php74/root/etc/php.d/20-bz2.ini, /opt/cpanel/ea-php74/root/etc/php.d/20-calendar.ini, /opt/cpanel/ea-php74/root/etc/php.d/20-ctype.ini, /opt/cpanel/ea-php74/root/etc/php.d/20-curl.ini, /opt/cpanel/ea-php74/root/etc/php.d/20-dba.ini, /opt/cpanel/ea-php74/root/etc/php.d/20-dom.ini, /opt/cpanel/ea-php74/root/etc/php.d/20-enchant.ini, /opt/cpanel/ea-php74/root/etc/php.d/20-exif.ini, /opt/cpanel/ea-php74/root/etc/php.d/20-fileinfo.ini, /opt/cpanel/ea-php74/root/etc/php.d/20-ftp.ini, /opt/cpanel/ea-php74/root/etc/php.d/20-gd.ini, /opt/cpanel/ea-php74/root/etc/php.d/20-gettext.ini, /opt/cpanel/ea-php74/root/etc/php.d/20-gmp.ini, /opt/cpanel/ea-php74/root/etc/php.d/20-iconv.ini, /opt/cpanel/ea-php74/root/etc/php.d/20-imap.ini, /opt/cpanel/ea-php74/root/etc/php.d/20-intl.ini, /opt/cpanel/ea-php74/root/etc/php.d/20-json.ini, /opt/cpanel/ea-php74/root/etc/php.d/20-ldap.ini, /opt/cpanel/ea-php74/root/etc/php.d/20-mbstring.ini, /opt/cpanel/ea-php74/root/etc/php.d/20-mysqlnd.ini, /opt/cpanel/ea-php74/root/etc/php.d/20-odbc.ini, /opt/cpanel/ea-php74/root/etc/php.d/20-pdo.ini, /opt/cpanel/ea-php74/root/etc/php.d/20-pgsql.ini, /opt/cpanel/ea-php74/root/etc/php.d/20-phar.ini, /opt/cpanel/ea-php74/root/etc/php.d/20-posix.ini, /opt/cpanel/ea-php74/root/etc/php.d/20-pspell.ini, /opt/cpanel/ea-php74/root/etc/php.d/20-shmop.ini, /opt/cpanel/ea-php74/root/etc/php.d/20-simplexml.ini, /opt/cpanel/ea-php74/root/etc/php.d/20-soap.ini, /opt/cpanel/ea-php74/root/etc/php.d/20-sockets.ini, /opt/cpanel/ea-php74/root/etc/php.d/20-sqlite3.ini, /opt/cpanel/ea-php74/root/etc/php.d/20-sysvmsg.ini, /opt/cpanel/ea-php74/root/etc/php.d/20-sysvsem.ini, /opt/cpanel/ea-php74/root/etc/php.d/20-sysvshm.ini, /opt/cpanel/ea-php74/root/etc/php.d/20-tidy.ini, /opt/cpanel/ea-php74/root/etc/php.d/20-tokenizer.ini, /opt/cpanel/ea-php74/root/etc/php.d/20-xml.ini, /opt/cpanel/ea-php74/root/etc/php.d/20-xmlwriter.ini, /opt/cpanel/ea-php74/root/etc/php.d/20-xsl.ini, /opt/cpanel/ea-php74/root/etc/php.d/20-zip.ini, /opt/cpanel/ea-php74/root/etc/php.d/30-mysqli.ini, /opt/cpanel/ea-php74/root/etc/php.d/30-pdo_mysql.ini, /opt/cpanel/ea-php74/root/etc/php.d/30-pdo_odbc.ini, /opt/cpanel/ea-php74/root/etc/php.d/30-pdo_pgsql.ini, /opt/cpanel/ea-php74/root/etc/php.d/30-pdo_sqlite.ini, /opt/cpanel/ea-php74/root/etc/php.d/30-xmlreader.ini, /opt/cpanel/ea-php74/root/etc/php.d/30-xmlrpc.ini, /opt/cpanel/ea-php74/root/etc/php.d/memcached.ini, /opt/cpanel/ea-php74/root/etc/php.d/zzzzzzz-pecl.ini
 

cPanelLauren

Product Owner
Staff member
Nov 14, 2017
13,304
1,252
313
Houston
Can you show me the details of the PHP package this is using?

Code:
rpm -qa |grep ea-php74

Are you by chance running imunify? I'm just trying to understand the configuration you have on the server and the reason why those packages are configured with the disable flag. Standard cPanel configuration does not have them disabled but if you're using Cloudlinux or Imunify's hardened PHP it will, in those cases it's actually normal.
 

cool_recep

Well-Known Member
Apr 10, 2013
59
7
58
cPanel Access Level
Website Owner
Code:
ea-php74-php-ftp-7.4.9-1.1.8.cpanel.x86_64
ea-php74-php-enchant-7.4.9-1.1.8.cpanel.x86_64
ea-php74-php-imap-7.4.9-1.1.8.cpanel.x86_64
ea-php74-php-pdo-7.4.9-1.1.8.cpanel.x86_64
ea-php74-php-pspell-7.4.9-1.1.8.cpanel.x86_64
ea-php74-php-gmp-7.4.9-1.1.8.cpanel.x86_64
ea-php74-php-opcache-7.4.9-1.1.8.cpanel.x86_64
ea-php74-libc-client-2007f-19.19.1.cpanel.x86_64
ea-php74-php-common-7.4.9-1.1.8.cpanel.x86_64
ea-php74-php-odbc-7.4.9-1.1.8.cpanel.x86_64
ea-php74-php-ioncube10-10.4.1-1.1.7.cpanel.x86_64
ea-php74-pear-1.10.7-4.4.5.cpanel.noarch
ea-php74-php-mbstring-7.4.9-1.1.8.cpanel.x86_64
ea-php74-php-cli-7.4.9-1.1.8.cpanel.x86_64
ea-php74-php-pgsql-7.4.9-1.1.8.cpanel.x86_64
ea-php74-php-exif-7.4.9-1.1.8.cpanel.x86_64
ea-php74-php-fileinfo-7.4.9-1.1.8.cpanel.x86_64
ea-php74-php-calendar-7.4.9-1.1.8.cpanel.x86_64
ea-php74-php-posix-7.4.9-1.1.8.cpanel.x86_64
ea-php74-php-xmlrpc-7.4.9-1.1.8.cpanel.x86_64
ea-php74-php-tidy-7.4.9-1.1.8.cpanel.x86_64
ea-php74-php-soap-7.4.9-1.1.8.cpanel.x86_64
ea-php74-php-memcached-3.1.3-6.6.23.cpanel.x86_64
ea-php74-7.4.9-1.1.1.cpanel.x86_64
ea-php74-php-bcmath-7.4.9-1.1.8.cpanel.x86_64
ea-php74-php-sockets-7.4.9-1.1.8.cpanel.x86_64
ea-php74-php-fpm-7.4.9-1.1.8.cpanel.x86_64
ea-php74-build-7.4.9-1.1.1.cpanel.x86_64
ea-php74-php-litespeed-7.4.9-1.1.8.cpanel.x86_64
ea-php74-php-mysqlnd-7.4.9-1.1.8.cpanel.x86_64
ea-php74-php-zip-7.4.9-1.1.8.cpanel.x86_64
ea-php74-php-gettext-7.4.9-1.1.8.cpanel.x86_64
ea-php74-php-ldap-7.4.9-1.1.8.cpanel.x86_64
ea-php74-php-snmp-7.4.9-1.1.8.cpanel.x86_64
ea-php74-runtime-7.4.9-1.1.1.cpanel.x86_64
ea-php74-php-curl-7.4.9-1.1.8.cpanel.x86_64
ea-php74-php-dba-7.4.9-1.1.8.cpanel.x86_64
ea-php74-php-bz2-7.4.9-1.1.8.cpanel.x86_64
ea-php74-php-xml-7.4.9-1.1.8.cpanel.x86_64
ea-php74-php-gd-7.4.9-1.1.8.cpanel.x86_64
ea-php74-php-intl-7.4.9-1.1.8.cpanel.x86_64
ea-php74-php-devel-7.4.9-1.1.8.cpanel.x86_64
ea-php74-php-iconv-7.4.9-1.1.8.cpanel.x86_64
ea-php74-php-process-7.4.9-1.1.8.cpanel.x86_64
It says Imunify agent is not running.
 

cPanelLauren

Product Owner
Staff member
Nov 14, 2017
13,304
1,252
313
Houston
  • Like
Reactions: cool_recep

cool_recep

Well-Known Member
Apr 10, 2013
59
7
58
cPanel Access Level
Website Owner
Disable suEXEC, now getting those erros in WP panel:


Code:
Warning: ftp_fget() expects parameter 1 to be resource, null given in /home/technopa/public_html/wp-admin/includes/class-wp-filesystem-ftpext.php on line 146

Warning: Cannot modify header information - headers already sent by (output started at /home/technopa/public_html/wp-admin/includes/class-wp-filesystem-ftpext.php:146) in /home/technopa/public_html/wp-includes/functions.php on line 6274

Warning: Cannot modify header information - headers already sent by (output started at /home/technopa/public_html/wp-admin/includes/class-wp-filesystem-ftpext.php:146) in /home/technopa/public_html/wp-admin/includes/misc.php on line 1310

Warning: Cannot modify header information - headers already sent by (output started at /home/technopa/public_html/wp-admin/includes/class-wp-filesystem-ftpext.php:146) in /home/technopa/public_html/wp-admin/admin-header.php on line 9